﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Finance.Data;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace Finance.VariableTemplate
{
    public class VariableTiles : DataTemplateSelector
    {

        public DataTemplate NormalTileTemplate { get; set; }
        public DataTemplate  NewsTemplate { get; set; }
       
    
      

        protected override DataTemplate SelectTemplateCore(object item, DependencyObject container)
        {
            FrameworkElement element = container as FrameworkElement;

            if (element!=null && item != null)
            {

                if ((item as SampleDataItem).UniqueId.StartsWith("NormalTile"))
                    return NormalTileTemplate;
                if ((item as SampleDataItem).UniqueId.StartsWith("News"))
                    return NewsTemplate;
               
               
                
            }
            return base.SelectTemplateCore(item, container);
        }

    }
}
